| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.Image

# Method Image.Image()->grey()

Method grey

  `object grey()`
  `object grey(int r, int g, int b)`

Description

  Makes a grey-scale image (with weighted values).

  original | ->grey(); | ->grey(0,0,255);

Parameter `r`
Parameter `g`
Parameter `b`

  weight of color, default is r=87,g=127,b=41, which should be pretty accurate of what the eyes see...

Returns

  the new image object

See also

  color , `* , modify_by_intensity